<script setup lang='ts'>
import rx from '~/assets/caiji/rx.webp'
import sy from '~/assets/caiji/sy.webp'
import request from '~/request'

const router = useRouter()

function routerToSycj() {
  request({
    url: '/aimooc/xnszr_audio/get_demo_text',
  }).then((res: any) => {
    console.log('完整信息 : ', res.data)
    const axa_sycj_zdysyid_v2 = res.data.pre_data?.axa_sycj_zdysyid_v2
    console.log('axa_sycj_zdysyid_v2 : ', axa_sycj_zdysyid_v2)
    if (axa_sycj_zdysyid_v2) {
      router.push({ path: "/syxd", query: { id: axa_sycj_zdysyid_v2 } })
    } else {
      router.push({ path: '/syxd' })
    }
  })
}

</script>

<template>
  <van-nav-bar title="数字教师采集"></van-nav-bar>
  <div class="flex flex-col items-center space-y-6 px-24px py-18px">
    <div class="relative" @click="routerToSycj">
      <img :src="sy" alt="">
      <div class="absolute inset-0 flex flex-col items-center text-white font-bold mt-40px space-y-20px">
        <div>声音采集</div>
        <van-button plain round size="small" type="success" class="px-4">点击进入</van-button>
      </div>
    </div>
    <div class="relative" @click="router.push({ name: 'caiji-rx-read' })">
      <img :src="rx" alt="">
      <div class="absolute inset-0 flex flex-col items-center text-white font-bold mt-40px space-y-20px">
        <div>人像采集</div>
        <van-button plain round size="small" type="success" class="px-4">点击进入</van-button>
      </div>
    </div>
    <!-- <ul class="w-full text-xs text-white leading-5 opacity-60 space-y-4 list-disc list-inside -indent-4 pl-4">
      <li>录音时位置确定后尽量不要动，就是说嘴和话筒的距离确定后不要随便乱动，有的人好动，这个避免不了，但是幅度不要太大，要不然会影响音色和动态。</li>
      <li>拍摄时现场严禁大声喧哗，嬉笑打闹；人脸正面免冠照片，需露出眉毛、眼睛及耳朵，亮度均衡。</li>
    </ul> -->
  </div>
</template>


